package com.red.circle.console.app.service.app.sys;


import com.red.circle.console.app.dto.clienobject.sys.SysCustomerServiceConfigCO;
import com.red.circle.other.inner.model.cmd.sys.CustomerServiceConfigCmd;
import java.util.List;

/**
 * 客服配置.
 *
 * @author pengshigang on 2022/10/8
 */
public interface SysCustomerServiceConfigService {

  /**
   * 添加.
   */
  void add(CustomerServiceConfigCmd param);

  /**
   * 修改.
   */
  void update(CustomerServiceConfigCmd param);

  /**
   * 删除.
   */
  void delete(Long id);

  /**
   * 客服配置列表.
   */
  List<SysCustomerServiceConfigCO> list(String sysOrigin, String region);
}
